import { EmojiData, EmojiSet } from 'emoji-mart';
import { Component } from 'react';
export interface DiscordEmojiButtonProps {
    emoji: string | EmojiData;
    emojis: string[] | EmojiData[];
    style?: object;
    className?: string;
    size: number;
    set?: EmojiSet;
    onClick?(event: any): void;
}
export interface DiscordEmojiButtonState {
    emoji: string | EmojiData;
    emojis: string[] | EmojiData[];
}
export declare class DiscordEmojiButton extends Component<DiscordEmojiButtonProps, DiscordEmojiButtonState> {
    static defaultProps: {
        emoji: string;
        emojis: string[];
        style: {};
        className: string;
        size: number;
        set: string;
    };
    state: {
        emoji: string | import("emoji-mart").BaseEmoji | import("emoji-mart").CustomEmoji;
        emojis: string[] | EmojiData[];
    };
    onMouseEnter: () => void;
    render(): JSX.Element;
}
